namespace PkmnLib.Static.Utils;

public static class DictionaryHelpers
{
    public static TValue GetOrDefault<TKey, TValue>(this IDictionary<TKey, TValue> dictionary, TKey key, TValue defaultValue)
    {
        if (dictionary.TryGetValue(key, out var value))
            return value;
        return defaultValue;
    }
}