namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "endure")]
public class EndureEffect : Script
{
    /// <inheritdoc />
    public override void ChangeIncomingDamage(IPokemon pokemon, DamageSource source, ref uint damage)
    {
        if (damage > pokemon.CurrentHealth)
            damage = pokemon.CurrentHealth - 1;
    }

    /// <inheritdoc />
    public override void OnEndTurn(IBattle battle) => RemoveSelf();
}