using PkmnLib.Plugin.Gen7.Scripts.Side;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "brick_break")]
public class BrickBreak : Script
{
    /// <inheritdoc />
    public override void OnBeforeMove(IExecutingMove move)
    {
        var sides = move.User.BattleData?.Battle.Sides;
        if (sides == null)
            return;

        foreach (var side in sides)
        {
            side.VolatileScripts.Remove(ScriptUtils.ResolveName<ReflectEffect>());
            side.VolatileScripts.Remove(ScriptUtils.ResolveName<LightScreenEffect>());
            side.VolatileScripts.Remove(ScriptUtils.ResolveName<AuroraVeilEffect>());
        }
    }
}