namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "ghostcurse")]
public class GhostCurseEffect : Script
{
    private IPokemon _pokemon;
    
    public GhostCurseEffect(IPokemon pokemon)
    {
        _pokemon = pokemon;
    }
    
    /// <inheritdoc />
    public override void OnEndTurn(IBattle battle)
    {
        _pokemon.Damage(_pokemon.CurrentHealth / 4, DamageSource.Misc);
    }
}